Wordpress Plugin Error on Login


(Fillipe Cordeiro) #1

Hi,

I’ve got some errors when to try to login on my Wordpress with Discourse plugin.

Warning: Cannot modify header information - headers already sent by (output started at /nfs/c12/h04/mnt/217028/domains/membros.androidaccelerate.com.br/html/wp-content/plugins/wp-discourse/lib/discourse-sso.php:227) in /nfs/c12/h04/mnt/217028/domains/membros.androidaccelerate.com.br/html/wp-includes/pluggable.php on line 994

What’s happening?

Thanks


(Simon Cossar) #2

Do you have SSO enabled in the plugin’s settings?

Edit: I see where there could be a problem. Check for an update in the next couple of hours.


(Fillipe Cordeiro) #3

Yes, this is the only feature that I’m using from Discourse Wp Plugin.

OK, I’m waiting for.

Thank you.


(Simon Cossar) #4

No problem, thanks for posting the error information. There was a bug in the code. I’ve fixed it on my local machine, but still have to push it to the WordPress plugin repo. I’ll do that right away.

Are you using any other WordPress plugins that could affect the login process?


(Fillipe Cordeiro) #5

Yes, I’m using OptimizePress/OptimizeMember.


(Simon Cossar) #6

The plugin is updated to version 1.0.1 in the WordPress plugin repo now. That should take care of the error you posted. There may still be a conflict with the OptimizeMember plugin. Can you try out the new version and let me know?


(Fillipe Cordeiro) #7

Apparently, this is ok now. Before the update to 1.0 was working without issues.